summaryrefslogtreecommitdiff
path: root/helpers/source_tar
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2010-02-05 17:10:44 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:17:04 +0100
commit3b80c5c5d9c9d2eec91910b70a120da5943c7fac (patch)
tree31b5fef2977e7fabe669077041c569169c788a95 /helpers/source_tar
parent59e9a93ad08c171fb0d22e965c56f91c5bd17615 (diff)
downloadlive-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.zip
live-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.tar.gz
Dropping lh_ prefix from internal helpers, this is not user visible.
Diffstat (limited to 'helpers/source_tar')
-rwxr-xr-xhelpers/source_tar62
1 files changed, 62 insertions, 0 deletions
diff --git a/helpers/source_tar b/helpers/source_tar
new file mode 100755
index 0000000..4923b71
--- /dev/null
+++ b/helpers/source_tar
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# lh_source_tar(1) - build source tarball
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'build source tarball')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+if [ "${LH_SOURCE}" != "true" ]
+then
+ exit 0
+fi
+
+if ! In_list tar "${LH_SOURCE_IMAGES}"
+then
+ exit 0
+fi
+
+Echo_message "Begin building source tarball..."
+Echo_message "This may take a while."
+
+# Requiring stage file
+Require_stagefile .stage/config .stage/source_debian
+
+# Checking stage file
+Check_stagefile .stage/source_tar
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Remove old source
+if [ -f source.tar.gz ]
+then
+ rm -f source.tar.gz
+fi
+
+# Create tarball
+tar cf source.tar source
+gzip ${GZIP_OPTIONS} source.tar
+
+# Creating stage file
+Create_stagefile .stage/source_tar